import { r as registerInstance, h } from './index-5809f4b1.js';

const baselineCss = "div.hy-baseline{display:block;margin-bottom:1rem}div.hy-baseline>*+*{margin-top:1rem}";

const Baseline = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", { class: "hy-baseline" }, h("slot", null)));
    }
};
Baseline.style = baselineCss;

export { Baseline as hy_baseline };
